AutoCad :: Changing Entity On Single Instance Of Defined Block
Jun 8, 2012
A defined block "DH" has:
A circle on layer CIR having a color of red...
A defined attribute on layer ATTR having a color of white...
The insertion point is the center of the circle...
Is it possible to change the circle to blue on one instance of the block without affecting the same change to other identical blocks in the drawing? Example:
Attachment 35286
View 2 Replies
ADVERTISEMENT
Sep 6, 2013
I'm trying to insert a new instance of a X-Ref already present on the drawing. If i use Database.AttachXref(path, name) I receive "ref NAME has already been defined. Using existing definition." on the command bar. I've tried to retrieve the ObjectId of the X-Ref definition from the X-Ref name, but my code don't work. Where is the error?
Here's my
Private Sub AttachXRef(path As String, name As String)
Dim Doc As Document = Application.DocumentManager.MdiActiveDocument
Dim Db As Database = Doc.Database Dim pPtRes As PromptPointResult
Dim pPtOpts As PromptPointOptions = New PromptPointOptions("")
[Code] ...
View 2 Replies
View Related
Sep 15, 2011
I'm borrowing from the samples library in the Inventor:
Public Sub GetSingleSelection()
' Get a feature selection from the user
Dim oObject As Object
Set oObject = ThisApplication.CommandManager.Pick(kPartFeatureFilter, "Pick a feature")
MsgBox "Picked: " & oObject.Name
End Sub
Works fine, and is fairly simple, but the problem I'm having is if I press the escape key after starting the command, but before making my selection, I'm not able to start the command again.
I realize from my searching that using the Selection (Simple) sample allows for an interrupt, with some modification, was just wondering if there was something similar for this simpler selection option.
View 3 Replies
View Related
Jun 25, 2012
Is there a way to surface this geometry with a single surface entity?
I had to use 2 lofts to "surface it" instead of region due to lines being non-coplanar with the arc (in other words top most corner is higher than the other adjacent 3 corners).
View 9 Replies
View Related
Feb 27, 2012
When we launch the Area comand the area value is hold in the system variable "area".
What is the system variable that holds the Length value of the selected entity?
View 6 Replies
View Related
Feb 27, 2012
When we launch the list command, the Area system variable holds the area value of the selected shape.
How to get the length value into an Autolisp program to use it?
View 3 Replies
View Related
Apr 8, 2013
I can insert a block with block attributes using the Inter op very easily:
Dim theBlock AsAcadBlockReference
Dim pickScreenVBA = myDoc.Utility.GetPoint(, "insert the hydrant")
theBlock = myDoc.ModelSpace.InsertBlock(pickScreenVBA, "Hydrant", 1.0#, 1.0#, 1.0#, 0)
Dim varAttributes AsObject
varAttributes = theBlock.GetAttributes
varAttributes(0).TextString ="3 Ports"
varAttributes(1).TextString ="Salt water"
Works great, but when I try using the non-inter op, all the example insert new Attributes and not add block with existing attribute (so I end up with duplicate attributes for each block - i.e "Salt water" attribute is added to the block each time I run the code),
Are they any examples that does the same as above using the non-interop code?
View 2 Replies
View Related
Aug 11, 2012
I'm trying to swap symbols in situ by changing the 'name' property of the symbol instance.
My rudimentary script can find the existing symbol name (for me, that's a small triumph!). The Illustrator document has two symbols in the Symbols panel, 'blue_square' and 'red_circle'. I run the script with an instance of 'blue_square' (and nothing else) on the page, and try to change the name to 'red_circle':
var docRef = activeDocument;
var symbolitem = docRef.symbolItems[0]
var symbolname = symbolitem.symbol.name;
var newname = "red_circle";
symbolitem.selected = true;
// this next line causes the problem:
symbolitem.symbol.name = newname;
This causes an error - 'the name is in use'.
View 14 Replies
View Related
Jul 18, 2012
How do I globally change the defined width of a group of mtext entities in a drawing? If I select a few mtext entities that I want to make the same width then go to Properties, the Defined Width box says "varies" and is not editable. Seems like long ago I used to be able to do this, but not now. I'm running 2011 autocad.
View 6 Replies
View Related
Oct 21, 2012
Sometimes when I drag a new symbol instance to my artboard and resize it, the instance looses it alignement with the pixel grid.
This happens despite the fact that...
I checked the box for pixel grid alignement when I created the documentthe symbol option is set for align to pixel gridthe original shape in the symbol is aligned to pixel grindthe original shape has the align to pixel grid check box in the transform panel checked
So why when I resize the symbol instance does it break the pixel grid alignmnet and result in a blurred 1px stroke?
View 1 Replies
View Related
Aug 11, 2012
Planning to overrule some of sub entities in a block. Let's make it simple . All lines and attributes in block should be circles and original block should not be seen. I came up with below code.
The code reacts differently if I remove
MyBase.WorldDraw(drawable, Wd)
and my goal is not to show the real block. Just showing whatever is overruled.
Public Class toverrule Inherits Autodesk.AutoCAD.GraphicsInterface.DrawableOverrule Public Overrides Function WorldDraw(ByVal drawable As Autodesk.AutoCAD.GraphicsInterface.Drawable, ByVal Wd As Autodesk.AutoCAD.GraphicsInterface.WorldDraw) As Boolean Dim myBlock As BlockReference = CType(drawable, BlockReference) If Not myBlock.Database Is Nothing Then
[code].......
View 9 Replies
View Related
Aug 12, 2013
I would like to iterate all entity in Block and display the type of the object. For example: LINE, BLOCK REFERENCE, LWPOLYLINE, TEXT . . . .
I currently have:
For Each Ent as ObjectId In CurrBTR Debug.pring (Ent . . . .)Next
View 3 Replies
View Related
Oct 30, 2012
Possible to use a block, such as a hex or circle with a number centered, instead of the out of the box number with a period? I have Key Notes that need numbers with a hex, and Construction notes, that need numbers in a circle. I can label these items with multileaders with a user defined block, but when I type out the notes using mtext, I want to use the exact same blocks to number the notes that correspond with my multileader label. I have been manually inserting blocks along side of my un-numbered mtext notes.
View 4 Replies
View Related
Nov 17, 2013
I would like to detect view change (especially when orbiting the view around) to automatically reposition table-like(block) entity such that the user can always see the face of the entity.
I figured out that there is viewChanged event in AcEditorReactor, but it doesn't seem like it is visible in .NET.
How could I use this callback function?
View 7 Replies
View Related
Mar 13, 2012
Is it possible to create a 'drawing scale' defined attribute inside my title block when brought into paper space? I tried setting it up using 'plotscale' fieldname with various formats and it keeps coming in as 1" = 1' or 1:1 rather than 1" = 20' because that's what my plot scale is inside paper space but my drawing scale is 20 scale. If I bring the title block in model space, it adjusts, but I don't plot from model space. Surely there's a way to make this automated inside paper space.
Also, I just setup a 'Date' attribute inside my title block today. What's the difference between Date, Saved Date and Plot Date? Will 'Date' update if its in a drawing and opened up a month from now and saved or do i need to take 'Date' out and replace with 'Saved Date' or Plot Date'?.
View 7 Replies
View Related
May 22, 2013
I would like to add additional entities to the selection if any of the selected entities contains a an xdata value.
If I put the condition into the ImpliedSelectionChanged reactor I imagine will probably loop back on itself.
View 9 Replies
View Related
Apr 1, 2013
I have a need to send files saved from Inventor.dwg to AutoCAD.dwg to suppliers, however due to the quantity of files "size", I need to purge them in Autocad before I e-mail. The problem I have is that my template Inventor.dwg is 1 mg due to Sketch Symbols, plus added file size for the views etc. When I get to Autocad to purge them, my Sketch Symbols and Title Block is on the "0" Layer. I have to select everything that is on the "0" Layer and change the layer to a different layer to start a LISP routine that does a, Erase All, Purge All, to get my file size down. I have not found a way to change the layer that Sketch Symbols are created on or reside on by default or Title Block either.
Any way to do this Inside the Sketch Symbols, inside the Title Block, using the styles, anything?
I am just now going through a iLogic course and read that Layers can be hidden. Can iLogic be used to change the layer of "SketchSymbols" or "TitleBlocks" and or used to purge all Sketch Symbols during the SaveAs to Autocad.dwg process?
View 3 Replies
View Related
Oct 21, 2013
I'm trying to change block the definition of an block reference.
I did something like this:
blockreference.BlockTableRecord = newBlock.ObjectId;
In most cases this works well. However I found a case that it not work as well. When I try to change the definition from a new block that I have created in my test DWG, it disappears from the model.
View 6 Replies
View Related
Jun 8, 2012
I need to change the style of my single text, not Mtext, but just text on AutoCAD 2011. If I try to edit Mtext then the Ribbon on the top of Cad changes to Text Editor and allows me to modify the text as I require. However when I click into single text all that happens is the text becomes highlight and I no longer get the option to change the style or font. What toolbar or option is missing so I can get it back as normal.
View 9 Replies
View Related
Jan 10, 2012
I'm new to Architecture Desktop (especially 2012), I dabbled with it a little bit years ago.
I'm doing a floor plan and I want to change one door to a double door. I changed the style and it changed all the doors. So I did a search and saw something about doing a style override in the "Edit Object Display." So, I checked all the "Object Override" boxes in there. Buuut...when I right click on that door and do "Edit Door Style" it still changes ALL the doors in the drawing to double doors.
View 5 Replies
View Related
Jan 21, 2013
I've got a Library setup called "Vendor CAD" and it's referenced in all my project templates and most existing project IPJ's. I'm thinking of re-organizing my server and actually creating a CAD drive and moving all these files to an area protected from the non-CAD users.
Anyway, once I move the files, is there a way that I can batch change the existing IPJ's to refer to the new path? There's about 70 or so files, so it's not monumental, but I'd really like to not do it manually if possible.
Also - please note, I'm a single user, so I'm not using vault at all.
Inventor 2014 64-bit SP1
Win 7 Pro 64-bit SP1
View 9 Replies
View Related
Feb 27, 2012
want to upated attributes in proxy entity is this possible?
View 1 Replies
View Related
Jun 1, 2012
I have a simple block with a single attribute that I am trying to sync. Someone previously created this block, defined it on a named layer with the attribute defined on the same layer with a user font, then inserted it on three different layers. Now, even though I have redefined the block on layer 0, set everything to BYBLOCK, all the attributes are still on those other layers. And when I try to use ATTSYNC, all the values disappear. I don't get it. Isn't ATTSYNC supposed to retain all the values?
How can I get all of these blocks with their attributes and values intact on the same layer?
View 4 Replies
View Related
Jun 17, 2013
I have a single app subscription to Photoshop CS6 and I wanted to know if that will change to the new Photoshop CC version?
View 1 Replies
View Related
Aug 25, 2011
I have a series of blocks that I need to insert into a drawing, maybe 100-200 times and then change one of the 6 attributes by an increment of 1.
I've looked at some of the older posts and have not been able to do this. Is it possible to take the tag regerence, in this case OUTLET_REF and automatically add 1 to it when the symbol is inserted.
Can this be done using Diesel or with a bit of lisp?
View 9 Replies
View Related
Aug 16, 2013
I have a lisp that draws variety of entities such as lines, arcs, hatches, points, blocks, text etc. How can I make one single block containing all of them, i.e. one block that has all items drawn since the lisp was invoked.
View 8 Replies
View Related
Aug 7, 2012
If it is possible to assign multiple attributes to a single line text within a block, and be prompted for them upon insertion.
View 3 Replies
View Related
Oct 28, 2013
I am trying to create a single layout with title blockandviewport to save as a template for future. Right clicking on the layout tab does not produce the menu.
I create a new layout by selecting page set up manager in the file menu, create a new layout, but the tab does not show up at the bottom.
View 9 Replies
View Related
Dec 26, 2012
I have a family picture where two of my family members got too much light. I downloaded the sahdow / highlight plugin but I just can't get it to work as I want to. changing the highlight and shadow of only certain faces in a single picture?
View 1 Replies
View Related
Aug 11, 2011
Is it possible to edit a block name? I am trying to nam the block to JIM like this...
BlkId = doc.Database.Insert(dwgName, db, true);
BlockTable bt = (BlockTable)tr.GetObject(doc.Database.BlockTableId, OpenMode.ForRead, true);
BlockTableRecord btr = (BlockTableRecord)tr.GetObject(bt[BlockTableRecord.ModelSpace], OpenMode.ForWrite);
BlockReference bref = new BlockReference(new Autodesk.AutoCAD.Geometry.Point3d(0, 0, 0), BlkId);
bref.BlockName = "JIM";
I am getting an error:
"Autodesk.AutoCAD.DatabaseServices.Entity.BlockName' cannot be assigned to -- it is read only"
View 3 Replies
View Related
Oct 4, 2013
Every time I insert a block (dynamic or otherwise) into any drawing (I have tried several) my ucs (0,0) changes to the insertion point of that new block. I don't know what I have done, what button I have inadvertently pushed or setting that I have set, but I do not know how to undo this!
Iam using AutoCAD 2014.
View 3 Replies
View Related